package com.xhpc.activity.mapper;

import com.xhpc.activity.domain.XhpcTradebillPaymentCheckRecordDomain;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface XhpcTradebillPaymentCheckRecordMapper  {

    int deleteByPrimaryKey(Integer id);

    int insert(XhpcTradebillPaymentCheckRecordDomain record);

    int insertSelective(XhpcTradebillPaymentCheckRecordDomain record);

    XhpcTradebillPaymentCheckRecordDomain selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(XhpcTradebillPaymentCheckRecordDomain record);

    int updateByPrimaryKey(XhpcTradebillPaymentCheckRecordDomain record);

    List<XhpcTradebillPaymentCheckRecordDomain> selectListByParams(@Param("params") Map params);

    int insertCheckList(List<XhpcTradebillPaymentCheckRecordDomain> paymentCheckList);


    List<Map<String, Object>> selectTotalGroupbyStatus(@Param("params") Map<String, Object> params);

    boolean updateStatusByPk(XhpcTradebillPaymentCheckRecordDomain record);

    List<Map<String, Object>> selectByParams(@Param("params") Map<String, Object> params);
}